Download Item Content.
GET/accounts/{account_id}/ai-search/namespaces/{name}/instances/{id}/items/{item_id}/download
Downloads the raw file content for a specific item from the managed AI Search instance storage.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Download Item Content.
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai-search/namespaces/$NAME/instances/$ID/items/$ITEM_ID/download \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"